package dossierDesClass;

/*
java.awt.event.WindowAdapter

An abstract adapter class for receiving window events. The methods in this class are empty. 
This class exists as convenience for creating listener objects.

Extend this class to create a WindowEvent listener and override the methods for the events of interest. (If you implement the 
WindowListener interface, you have to define all of the methods in it. This abstract class defines null methods for them all, 
so you can only have to define methods for events you care about.)

Create a listener object using the extended class and then register it with a Window using the window's addWindowListener 
method. When the window's status changes by virtue of being opened, closed, activated or deactivated, iconified or 
deiconified, the relevant method in the listener object is invoked, and the WindowEvent is passed to it.

Since:
    1.1
See Also:
    WindowEvent, WindowListener, Tutorial: Writing a Window Listener
 */

import java.awt.event.WindowAdapter;	//
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JOptionPane;

@SuppressWarnings("serial")
public class FrameCloseConditn extends JFrame {
	public FrameCloseConditn() {
		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		addWindowListener(															//Create a listener object using the extended class, then register it with a Window using the window's addWindowListener method.
				new WindowAdapter() {												// crée une classe anonyme WindowAdapter()
					
					public void windowOpened(WindowEvent e) { 						// il faut redéfinir toutes les méthodes prévues
					}

					public void windowClosing(WindowEvent e) { 						// on redéfinit particulièrement celle-ci qui nous intéresse
						if (JOptionPane.showConfirmDialog(null, "Do you want to quit this session?") == JOptionPane.YES_OPTION) { // call l'option pane to ask la question
							setVisible(false); 										// si la réponse est oui, alors on ferme tout
							dispose();
							
							Fil1_LʊpJobToDo.cptCycl= Fil1_LʊpJobToDo.maxCptCycl;	// ne pas oublier d'éteindre la lumière en sortant, on a été bien content de lancer le fil 1, faut l'éteindre aussi
						}															// sinon on ne ferme rien
					}
				});
		pack();
		setVisible(true);
	}
}
